CC=g++
LD=g++

LDFLAGS+=-ggdb
CFLAGS=-c -O2 -ggdb -Wall 



FIND_TRACK=find_track
FIND_TRACK_O=$(FIND_TRACK).o hist.o hist_axis.o canvas.o

OBJS= $(FIND_TRACK_O)
PROGS=$(FIND_TRACK)


all : $(PROGS)

.PHONEY: clean distclean


$(FIND_TRACK) : $(FIND_TRACK_O)
	$(LD) $(LDFLAGS) $^ -o $@


.cpp.o:
	$(CXX) $(CFLAGS) $< -o $@

clean :
	rm $(OBJS)

distclean : clean
	rm $(PROGS)
